Bug 183440 - Implement createImageBitmap(OffscreenCanvas)
Summary: Implement createImageBitmap(OffscreenCanvas)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Lord
URL:
Keywords: InRadar
Depends on: 182686
Blocks: 182424 183720 202572
  Show dependency treegraph
 
Reported: 2018-03-08 02:09 PST by Ms2ger (he/him; ⌚ UTC+1/+2)
Modified: 2019-12-03 02:32 PST (History)
17 users (show)

See Also:


Attachments
Patch (20.96 KB, patch)
2019-10-10 03:34 PDT, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (25.21 KB, patch)
2019-11-25 10:08 PST, Chris Lord
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger (he/him; ⌚ UTC+1/+2) 2018-03-08 02:09:40 PST
Code similar to the implementation of OffscreenCanvas::transferToImageBitmap() would probably work for the default case, but not if there's any resizing involved.
Comment 1 Chris Lord 2019-10-10 03:34:00 PDT
Created attachment 380626 [details]
Patch
Comment 2 Chris Lord 2019-11-25 10:08:46 PST
Created attachment 384306 [details]
Patch
Comment 3 WebKit Commit Bot 2019-12-03 02:31:01 PST
Comment on attachment 384306 [details]
Patch

Clearing flags on attachment: 384306

Committed r253031: <https://trac.webkit.org/changeset/253031>
Comment 4 WebKit Commit Bot 2019-12-03 02:31:04 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-12-03 02:32:21 PST
<rdar://problem/57586221>